<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Nhywjthlglbean" type="cn.vp.XXX.model.NhywjthlglBean"/> -->	<typeAlias alias="Nhywjthlgl" type="cn.im.nhywjthlgl.NhywjthlglBean"/>
	
	<sql id="condition_Nhywjthlgl">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKExh'>
			(xh like '%$LIKExh$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xh'>
			(xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhlbh'>
			(hlbh like '%$LIKEhlbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hlbh'>
			(hlbh = #hlbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhllx'>
			(hllx like '%$LIKEhllx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hllx'>
			(hllx = #hllx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhlmc'>
			(hlmc like '%$LIKEhlmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hlmc'>
			(hlmc = #hlmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhlpp'>
			(hlpp like '%$LIKEhlpp$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hlpp'>
			(hlpp = #hlpp# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEggxh'>
			(ggxh like '%$LIKEggxh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ggxh'>
			(ggxh = #ggxh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhlcz'>
			(hlcz like '%$LIKEhlcz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hlcz'>
			(hlcz = #hlcz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhlcd'>
			(hlcd like '%$LIKEhlcd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hlcd'>
			(hlcd = #hlcd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEazsj'>
			(azsj like '%$LIKEazsj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='azsj'>
			(azsj = #azsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEazdw'>
			(azdw like '%$LIKEazdw$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='azdw'>
			(azdw = #azdw# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEhljz'>
			(hljz like '%$LIKEhljz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='hljz'>
			(hljz = #hljz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsynx'>
			(synx like '%$LIKEsynx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='synx'>
			(synx = #synx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEjd'>
			(jd like '%$LIKEjd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='jd'>
			(jd = #jd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEwd'>
			(wd like '%$LIKEwd$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='wd'>
			(wd = #wd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsjzp'>
			(sjzp like '%$LIKEsjzp$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sjzp'>
			(sjzp = #sjzp# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgxdwbm'>
			(gxdwbm like '%$LIKEgxdwbm$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gxdwbm'>
			(gxdwbm = #gxdwbm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgxdwmc'>
			(gxdwmc like '%$LIKEgxdwmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gxdwmc'>
			(gxdwmc = #gxdwmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxr'>
			(lxr like '%$LIKElxr$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxr'>
			(lxr = #lxr# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKElxdh'>
			(lxdh like '%$LIKElxdh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='lxdh'>
			(lxdh = #lxdh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgysbh'>
			(gysbh like '%$LIKEgysbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gysbh'>
			(gysbh = #gysbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgysmc'>
			(gysmc like '%$LIKEgysmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gysmc'>
			(gysmc = #gysmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like '%$LIKEcjry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like '%$LIKEcjrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like '%$LIKExgry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like '%$LIKExgrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like '%$LIKEbz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz1'>
			(kz1 like '%$LIKEkz1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz1'>
			(kz1 = #kz1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz2'>
			(kz2 like '%$LIKEkz2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz2'>
			(kz2 = #kz2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz3'>
			(kz3 like '%$LIKEkz3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz3'>
			(kz3 = #kz3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz4'>
			(kz4 like '%$LIKEkz4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz4'>
			(kz4 = #kz4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Nhywjthlgl" parameterClass="java.util.Map">
		insert into 
		nhywjthlgl(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='hlbh'>hlbh</isNotEmpty>
			<isNotEmpty prepend=',' property='hllx'>hllx</isNotEmpty>
			<isNotEmpty prepend=',' property='hlmc'>hlmc</isNotEmpty>
			<isNotEmpty prepend=',' property='hlpp'>hlpp</isNotEmpty>
			<isNotEmpty prepend=',' property='ggxh'>ggxh</isNotEmpty>
			<isNotEmpty prepend=',' property='hlcz'>hlcz</isNotEmpty>
			<isNotEmpty prepend=',' property='hlcd'>hlcd</isNotEmpty>
			<isNotEmpty prepend=',' property='azsj'>azsj</isNotEmpty>
			<isNotEmpty prepend=',' property='azdw'>azdw</isNotEmpty>
			<isNotEmpty prepend=',' property='hljz'>hljz</isNotEmpty>
			<isNotEmpty prepend=',' property='synx'>synx</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd</isNotEmpty>
			<isNotEmpty prepend=',' property='sjzp'>sjzp</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwbm'>gxdwbm</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwmc'>gxdwmc</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>lxr</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>lxdh</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>gysbh</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>gysmc</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hlbh'>#hlbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hllx'>#hllx#</isNotEmpty>
			<isNotEmpty prepend=',' property='hlmc'>#hlmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='hlpp'>#hlpp#</isNotEmpty>
			<isNotEmpty prepend=',' property='ggxh'>#ggxh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hlcz'>#hlcz#</isNotEmpty>
			<isNotEmpty prepend=',' property='hlcd'>#hlcd#</isNotEmpty>
			<isNotEmpty prepend=',' property='azsj'>#azsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='azdw'>#azdw#</isNotEmpty>
			<isNotEmpty prepend=',' property='hljz'>#hljz#</isNotEmpty>
			<isNotEmpty prepend=',' property='synx'>#synx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='sjzp'>#sjzp#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwbm'>#gxdwbm#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwmc'>#gxdwmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>#lxr#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>#lxdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>#gysbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>#gysmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>#kz4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Nhywjthlgl" parameterClass="java.util.Map">
		update nhywjthlgl 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='hlbh'>hlbh=#hlbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hllx'>hllx=#hllx#</isNotEmpty>
			<isNotEmpty prepend=',' property='hlmc'>hlmc=#hlmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='hlpp'>hlpp=#hlpp#</isNotEmpty>
			<isNotEmpty prepend=',' property='ggxh'>ggxh=#ggxh#</isNotEmpty>
			<isNotEmpty prepend=',' property='hlcz'>hlcz=#hlcz#</isNotEmpty>
			<isNotEmpty prepend=',' property='hlcd'>hlcd=#hlcd#</isNotEmpty>
			<isNotEmpty prepend=',' property='azsj'>azsj=#azsj#</isNotEmpty>
			<isNotEmpty prepend=',' property='azdw'>azdw=#azdw#</isNotEmpty>
			<isNotEmpty prepend=',' property='hljz'>hljz=#hljz#</isNotEmpty>
			<isNotEmpty prepend=',' property='synx'>synx=#synx#</isNotEmpty>
			<isNotEmpty prepend=',' property='jd'>jd=#jd#</isNotEmpty>
			<isNotEmpty prepend=',' property='wd'>wd=#wd#</isNotEmpty>
			<isNotEmpty prepend=',' property='sjzp'>sjzp=#sjzp#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwbm'>gxdwbm=#gxdwbm#</isNotEmpty>
			<isNotEmpty prepend=',' property='gxdwmc'>gxdwmc=#gxdwmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxr'>lxr=#lxr#</isNotEmpty>
			<isNotEmpty prepend=',' property='lxdh'>lxdh=#lxdh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>gysbh=#gysbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>gysmc=#gysmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1=#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2=#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3=#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4=#kz4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhlbh'> hlbh = #XGTJhlbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhllx'> hllx = #XGTJhllx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhlmc'> hlmc = #XGTJhlmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhlpp'> hlpp = #XGTJhlpp# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJggxh'> ggxh = #XGTJggxh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhlcz'> hlcz = #XGTJhlcz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhlcd'> hlcd = #XGTJhlcd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJazsj'> azsj = #XGTJazsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJazdw'> azdw = #XGTJazdw# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJhljz'> hljz = #XGTJhljz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsynx'> synx = #XGTJsynx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJjd'> jd = #XGTJjd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJwd'> wd = #XGTJwd# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsjzp'> sjzp = #XGTJsjzp# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgxdwbm'> gxdwbm = #XGTJgxdwbm# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgxdwmc'> gxdwmc = #XGTJgxdwmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlxr'> lxr = #XGTJlxr# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJlxdh'> lxdh = #XGTJlxdh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgysbh'> gysbh = #XGTJgysbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgysmc'> gysmc = #XGTJgysmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz1'> kz1 = #XGTJkz1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz2'> kz2 = #XGTJkz2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz3'> kz3 = #XGTJkz3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz4'> kz4 = #XGTJkz4# </isNotEmpty>

	</update>

	<update id="updateJthlJdWdByXh" parameterClass="java.util.HashMap">
		update nhywjthlgl set  jd = #jd# , wd=#wd#, xgry=#xgry#,xgrq=#xgrq#  where 1=1 and xh = #xh#
	</update>
	
	<!-- delete object -->
	<delete id="delete_Nhywjthlgl" parameterClass="java.util.Map">
		delete from nhywjthlgl 
		<include refid="condition_Nhywjthlgl"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Nhywjthlgl" parameterClass="java.util.Map">
		delete from nhywjthlgl 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Nhywjthlgl" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			xh,hlbh,hllx,hlmc,hlpp,ggxh,hlcz,hlcd,azsj,azdw,hljz,synx,jd,wd,sjzp,gxdwbm,gxdwmc,lxr,lxdh,gysbh,gysmc,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
		from nhywjthlgl 
		<include refid="condition_Nhywjthlgl"/>		
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Nhywjthlgl" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from nhywjthlgl 
		<include refid="condition_Nhywjthlgl"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Nhywjthlgl" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into nhywjthlgl(
			 <![CDATA[ 
				xh,hlbh,hllx,hlmc,hlpp,ggxh,hlcz,hlcd,azsj,azdw,hljz,synx,jd,wd,sjzp,gxdwbm,gxdwmc,lxr,lxdh,gysbh,gysmc,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].xh#,#list[].hlbh#,#list[].hllx#,#list[].hlmc#,#list[].hlpp#,#list[].ggxh#,#list[].hlcz#,#list[].hlcd#,#list[].azsj#,#list[].azdw#,#list[].hljz#,#list[].synx#,#list[].jd#,#list[].wd#,#list[].sjzp#,#list[].gxdwbm#,#list[].gxdwmc#,#list[].lxr#,#list[].lxdh#,#list[].gysbh#,#list[].gysmc#,#list[].cjry#,#list[].cjrq#,#list[].xgry#,#list[].xgrq#,#list[].bz#,#list[].kz1#,#list[].kz2#,#list[].kz3#,#list[].kz4#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











